Bug 165279 - mdadm SIGSEGV when starting failed array
Summary: mdadm SIGSEGV when starting failed array
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mdadm   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-06 17:05 UTC by Milan Kerslager
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 18:44:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gzipped core (17.33 KB, application/octet-stream)
2005-08-06 17:05 UTC, Milan Kerslager
no flags Details

Description Milan Kerslager 2005-08-06 17:05:15 UTC
mdadm SIGSEGV when trying to assemble failed RAID5 array:

mdadm -A /dev/md2

This is fully up-to-date RHEL4 with mdadm-1.6.0-2. Core attached.

Comment 1 Milan Kerslager 2005-08-06 17:05:16 UTC
Created attachment 117513 [details]
Gzipped core

Comment 2 Milan Kerslager 2005-08-06 17:07:37 UTC
# rpm -qi mdadm
Name        : mdadm                        Relocations: (not relocatable)
Version     : 1.6.0                             Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Mon Oct  4 23:15:34 2004
Install Date: Tue Dec  7 17:41:25 2004      Build Host: tweety.build.redhat.com
Group       : System Environment/Base       Source RPM: mdadm-1.6.0-2.src.rpm
Size        : 155863                           License: GPL
Signature   : DSA/SHA1, Wed Oct 20 19:16:58 2004, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.cse.unsw.edu.au/~neilb/source/mdadm/
Summary     : mdadm controls Linux md devices (software RAID arrays)
Description :
mdadm is used to create, manage, and monitor Linux MD (software RAID)
devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

Comment 3 Doug Ledford 2007-05-16 18:44:43 UTC
This issue was likely resolved by the recent update to mdadm-1.12.0.  However,
if it still gives problems, then please try using mdadm -As /dev/md2 instead of
the command you tried (the s allows mdadm to read the /etc/mdadm.conf file to
find additional information about md2 when trying to assemble it, such as the
UUID, etc.) and see if it still segfaults.  In the meantime, I'm closing this
bug out as resolved by errata.  If it's still a problem, please reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.